
package com.stmatthews.hospital.appointments.TYPES;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SchedulingRequestType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SchedulingRequestType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="appointmentRequestHeader" type="{http://stmatthews.hospital.com/patient/AppointmentProcess}appointmentRequestHeader"/>
 *         &lt;element name="patientDetails" type="{http://stmatthews.hospital.com/patient/AppointmentProcess}patientDetailsType"/>
 *         &lt;element name="diagnosis" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SchedulingRequestType", namespace = "http://stmatthews.hospital.com/Scheduler", propOrder = {
    "appointmentRequestHeader",
    "patientDetails",
    "diagnosis"
})
public class SchedulingRequestType {

    @XmlElement(required = true)
    protected AppointmentRequestHeader appointmentRequestHeader;
    @XmlElement(required = true)
    protected PatientDetailsType patientDetails;
    @XmlElement(required = true)
    protected String diagnosis;

    /**
     * Gets the value of the appointmentRequestHeader property.
     * 
     * @return
     *     possible object is
     *     {@link AppointmentRequestHeader }
     *     
     */
    public AppointmentRequestHeader getAppointmentRequestHeader() {
        return appointmentRequestHeader;
    }

    /**
     * Sets the value of the appointmentRequestHeader property.
     * 
     * @param value
     *     allowed object is
     *     {@link AppointmentRequestHeader }
     *     
     */
    public void setAppointmentRequestHeader(AppointmentRequestHeader value) {
        this.appointmentRequestHeader = value;
    }

    /**
     * Gets the value of the patientDetails property.
     * 
     * @return
     *     possible object is
     *     {@link PatientDetailsType }
     *     
     */
    public PatientDetailsType getPatientDetails() {
        return patientDetails;
    }

    /**
     * Sets the value of the patientDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link PatientDetailsType }
     *     
     */
    public void setPatientDetails(PatientDetailsType value) {
        this.patientDetails = value;
    }

    /**
     * Gets the value of the diagnosis property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDiagnosis() {
        return diagnosis;
    }

    /**
     * Sets the value of the diagnosis property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDiagnosis(String value) {
        this.diagnosis = value;
    }

}
