
package com.stmatthews.hospital.appointments.TYPES;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.stmatthews.hospital.appointments.TYPES package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _PlannedSchedule_QNAME = new QName("http://stmatthews.hospital.com/Scheduler", "PlannedSchedule");
    private final static QName _SchedulingRequest_QNAME = new QName("http://stmatthews.hospital.com/Scheduler", "SchedulingRequest");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.stmatthews.hospital.appointments.TYPES
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link InsuranceType }
     * 
     */
    public InsuranceType createInsuranceType() {
        return new InsuranceType();
    }

    /**
     * Create an instance of {@link AppointmentCancellationResponse }
     * 
     */
    public AppointmentCancellationResponse createAppointmentCancellationResponse() {
        return new AppointmentCancellationResponse();
    }

    /**
     * Create an instance of {@link AppointmentStatusRequest }
     * 
     */
    public AppointmentStatusRequest createAppointmentStatusRequest() {
        return new AppointmentStatusRequest();
    }

    /**
     * Create an instance of {@link ListOfEmailAddresses }
     * 
     */
    public ListOfEmailAddresses createListOfEmailAddresses() {
        return new ListOfEmailAddresses();
    }

    /**
     * Create an instance of {@link PlannedScheduleType }
     * 
     */
    public PlannedScheduleType createPlannedScheduleType() {
        return new PlannedScheduleType();
    }

    /**
     * Create an instance of {@link PatientArrivalForAppointmentRequest }
     * 
     */
    public PatientArrivalForAppointmentRequest createPatientArrivalForAppointmentRequest() {
        return new PatientArrivalForAppointmentRequest();
    }

    /**
     * Create an instance of {@link AppointmentServiceProcessRequest }
     * 
     */
    public AppointmentServiceProcessRequest createAppointmentServiceProcessRequest() {
        return new AppointmentServiceProcessRequest();
    }

    /**
     * Create an instance of {@link SchedulingRequestType }
     * 
     */
    public SchedulingRequestType createSchedulingRequestType() {
        return new SchedulingRequestType();
    }

    /**
     * Create an instance of {@link AppointmentStatusResponse }
     * 
     */
    public AppointmentStatusResponse createAppointmentStatusResponse() {
        return new AppointmentStatusResponse();
    }

    /**
     * Create an instance of {@link PatientDetailsType }
     * 
     */
    public PatientDetailsType createPatientDetailsType() {
        return new PatientDetailsType();
    }

    /**
     * Create an instance of {@link AppointmentRequestHeader }
     * 
     */
    public AppointmentRequestHeader createAppointmentRequestHeader() {
        return new AppointmentRequestHeader();
    }

    /**
     * Create an instance of {@link AppointmentServiceProcessResponse }
     * 
     */
    public AppointmentServiceProcessResponse createAppointmentServiceProcessResponse() {
        return new AppointmentServiceProcessResponse();
    }

    /**
     * Create an instance of {@link ListOfPhoneNumbers }
     * 
     */
    public ListOfPhoneNumbers createListOfPhoneNumbers() {
        return new ListOfPhoneNumbers();
    }

    /**
     * Create an instance of {@link AppointmentCancellationRequest }
     * 
     */
    public AppointmentCancellationRequest createAppointmentCancellationRequest() {
        return new AppointmentCancellationRequest();
    }

    /**
     * Create an instance of {@link ContactDetailsType }
     * 
     */
    public ContactDetailsType createContactDetailsType() {
        return new ContactDetailsType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PlannedScheduleType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://stmatthews.hospital.com/Scheduler", name = "PlannedSchedule")
    public JAXBElement<PlannedScheduleType> createPlannedSchedule(PlannedScheduleType value) {
        return new JAXBElement<PlannedScheduleType>(_PlannedSchedule_QNAME, PlannedScheduleType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SchedulingRequestType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://stmatthews.hospital.com/Scheduler", name = "SchedulingRequest")
    public JAXBElement<SchedulingRequestType> createSchedulingRequest(SchedulingRequestType value) {
        return new JAXBElement<SchedulingRequestType>(_SchedulingRequest_QNAME, SchedulingRequestType.class, null, value);
    }

}
